Subject: [manet] SAODV implementation Details-Needed

From: Anand <[email-masked]>
Date: Mon, 2 Feb 2004 05:21:02 -0800 (PST)

Respected Sir,

I am trying to implement Secure Ad hoc on Demand
routing using Glomosim as a Tool and try to modify the
existing AODV protocol.

I need to add Integrity using Hash Chain and
Authenticity using Signatures.

1.	I need to create my own data flow between nodes.
But I cannot get how to make using your
implementation. For example an Intruder node
selectively drop or dosen’t reply. In order to make
this scenario, pl help me and 
2.	if I change the packet format as per requirement
that is adding fields to secure such as hash and
signature with the rreq or rrep message will it work. 
3.	And how to give my own outputs in the trace file of
glomo.stat
4.	how to do the performance comparisons.

Please give me an overall idea about my issues it will
be very much helpful for me.

Thanks

Anand 

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free web site building tool. Try it!
http://webhosting.yahoo.com/ps/sb/

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet